Subject: [Diffserv] TCB references in DIFFSERV-MIB

From: "Andrew Smith" <[email-masked]>
Date: Thu, 22 Mar 2001 10:12:06 -0800

Brian,

We're trying to provide for management-tool interoperability aren't we?
(that's different from Diffserv interoperability). Seems like the management
standard is incomplete (and therefore almost worse than having no standard)
if you don't handle this issue. But I'm not going to push this one - if
people don't want to complete the spec then ... like ... whatever.

Andrew

-----Original Message-----
From: Brian E Carpenter [mailto:[email-masked]]
Sent: Thursday, March 22, 2001 9:20 AM
To: Andrew Smith
Cc: Harrie Hazewinkel; Fred Baker; Kwok-Ho Chan; Kathleen Nichols
Subject: Re: DIFFSERV-MIB

Andrew,

Why? I don't understand why we would want to standardise this. I understand
why we want to describe it in an informational document, but what's
the IETF interoperability problem if people choose to implement screwy
datapaths inside their boxes?

   Brian

Andrew Smith wrote:
>
> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Thursday, March 22, 2001 8:31 AM
> To: Harrie Hazewinkel
> Cc: Andrew Smith; Fred Baker; Kwok-Ho Chan; Kathleen Nichols
> Subject: Re: DIFFSERV-MIB
>
> ...
>
> I agree with Harrie. Most of the TCB references should be removed. I sent
a
> note earlier this week defending one of the references to TCB, which needs
> to stay in for the MIB/model relationship to make sense. But in this text,
> I don't see what the reference gives us. It could just read
>
>  The diffServActionNext attribute of the last action entry in the chain
>  points to the next element in the datapath, if any, e.g.  a Queuing
> element.
>
> Let's not worry too much about what is allowed to connect to what. That
> is a product design decision.
>
> [Andrew] No - my point is precisely the opposite. It is *not* a product
> design decision but there is a firm set of rules as to what is allowed to
> connect to what, in a certain order, to make up a valid TCB and those
rules
> are defined in the [MODEL]. They need to be normative and they need to be
in
> DESCRIPTION clauses wherever needed, since there is no way to express them
> in SMIv2 syntax.
>
> Andrew

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 22 Mar 2001 13:57:39 -0600

The last time this (the existence of the TCB) was raised there were
opinions on both sides, and we concluded that there was a weak consensus
to leave it in the model, but no consensus to instantiate it in the MIB. If 
I recall correctly that was in the San Diego meeting that you missed. So what 
I am trying to arrange is that the MIB and model drafts are compatible with
that, and with the fact that the model is not a standards track document.

   Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Program Director, Internet Standards & Technology, IBM 
On assignment for IBM at http://www.iCAIR.org 
Board Chairman, Internet Society http://www.isoc.org
Non-IBM email: [email-masked]